# "宠物健康监测" APP

这是一个专为宠物健康管理而设计的应用程序，旨在帮助宠物主人实时监测宠物的健康状态，记录宠物的基本指标、医疗历史、接种疫苗记录等，提供健康提醒、资讯推荐、社区分享等功能，帮助宠物主人更好地照顾自己的爱宠。

## 项目简介

随着宠物经济的兴起，宠物主人的健康管理需求不断增加。本应用程序通过整合宠物健康数据、社区互动以及资讯推荐，帮助宠物主人科学、系统地管理宠物健康，提供个性化的健康管理方案。

## **功能概述**

本软件主要功能包括：

登录与注册：用户可以创建账户并登录到应用程序。

宠物数据记录：用户可以记录宠物的体重、喝水、体温等健康数据，并生成可视化图表。

健康档案管理：为宠物添加、修改、删除详细的健康档案，记录疫苗接种历史、病史等。

提醒功能：用户可以设置宠物的健康提醒，如喂食、遛弯等事项。

宠物资讯推送：系统根据宠物的健康状况和品种，推送相关的宠物资讯。

社区功能：用户可以在社区分享与宠物相关的内容，进行评论和互动。

## **安装与配置**

1.克隆项目

首先，克隆这个项目到本地：

git clone https://github.com/用户名/pet-health-monitoring.git

cd pet-health-monitoring

2\. 环境要求

开发语言：Java (SpringBoot) 和 Vue.js

数据库：MySQL（或其他适合的数据库）

客户端环境：Android/iOS客户端，或Web浏览器

3\. 安装依赖

后端（SpringBoot）

进入后端项目目录并安装相关依赖：

cd backend

mvn install

前端（Vue.js）

进入前端项目目录并安装相关依赖：

cd frontend

npm install

4\. 配置数据库

在本地设置数据库，并导入数据库配置文件。

配置数据库连接信息，确保后端能正确连接到数据库。

5.启动应用

启动后端：

cd backend

mvn spring-boot:run

启动前端：

cd frontend

npm run serve

6\. 访问应用

访问前端界面（假设运行在本地 8080 端口）：

Web应用：http://localhost:8080

移动端应用：下载并安装客户端，按照指南设置应用。

## **使用方法**

1.注册/登录：

在应用启动后，用户可以选择注册新账号或使用已有账号登录。

登录成功后，进入主界面。

2.记录宠物数据：

选择"宠物数据记录"功能，填写宠物体重、喝水、体温等信息，系统会自动生成可视化图表，帮助用户跟踪宠物的健康状况。

3.设置提醒：

用户可以设置提醒，如遛弯、喂食、洗护等事项。提醒功能支持定时提醒。

4.管理宠物健康档案：

在"宠物健康档案"中，用户可以记录宠物的疫苗接种历史、病史等信息，并随时查看并修改删除。

5.社区互动：

用户可以发布宠物相关的内容，参与社区互动，评论和分享经验。

6.宠物资讯推送：

系统会根据宠物的品种、年龄、健康状况等信息推送相关的实时资讯，帮助宠物主人了解宠物健康知识。

## **贡献指南**

我们欢迎任何形式的贡献！如果你希望贡献代码，请按照以下步骤进行：

1.Fork 这个仓库。

2.创建一个新的分支：git checkout -b feature-branch

3.提交你的修改：git commit -am \'Add new feature\'

4.推送到分支：git push origin feature-branch

5.创建 Pull Request。
